Bug 1879970 - RHV upgrade jobs fail because etcd is backed by a ramdisk
Summary: RHV upgrade jobs fail because etcd is backed by a ramdisk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Evgeny Slutsky
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-17 13:19 UTC by Scott Dodson
Modified: 2020-10-27 16:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:41:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift release pull 11923 0 None closed Bug 1879970: ovirt: remove etcd tmpfs hack for the upgrade suits 2020-10-22 06:49:51 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:42:10 UTC

Description Scott Dodson 2020-09-17 13:19:02 UTC
RHV / ovirt jobs fail because etcd is not persisted to disk and thus does not survive a reboot.

https://testgrid.k8s.io/redhat-openshift-ocp-release-4.5-informing#release-openshift-ocp-installer-e2e-ovirt-upgrade-4.4-stable-to-4.5-ci

Comment 1 Scott Dodson 2020-09-17 13:20:44 UTC
If we can't fix this soon we should disable the ovirt upgrade jobs as they're skewing our CI health tracking efforts.

Comment 2 Evgeny Slutsky 2020-09-17 15:15:18 UTC
i think we can make it soon .

Comment 4 Gal Zaidman 2020-09-24 08:00:53 UTC
Verified By CI.
This was always a CI problem and we don't see it since this bug is merged so moved to verified :)

Comment 7 errata-xmlrpc 2020-10-27 16:41:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.